#include <iostream>

using namespace std;

int main( ) 
{
    int v, g;

	int w [100000];

    cin >> v >> g;

	for(int i = 0; i < v; i++)
		
        scanf("%d", w+i);

    long long p=0;

    for (int i = 0;i < g; i++) {
      
        int x, y;
    
     scanf("%d%d", &x, &y);

        y--;

        x--;

        if( w[x] + w[y] < 0 ){ 

			p-= w[x] + w[y];
            
        }
		else
        {
			p += w[x] + w[y];
        }
    }

    cout << p;

    return 0;
}